List Codexgate Runs
GET
/v1/admin/codexgate/runs
const url = 'https://example.com/v1/admin/codexgate/runs?limit=50&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/admin/codexgate/runs?limit=50&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CodexGateRunListOut
object
items
Items
Array<object>
CodexGateRunOutobject
thread_key
required
Thread Key
string
run_id
required
Run Id
string
repo
required
Repo
string
agent_key
required
Agent Key
string
engine_key
required
Engine Key
string
runner_kind
Runner Kind
string
scenario_key
required
Scenario Key
string
status
required
Status
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
branch_name
Branch Name
string
proposal_id
Proposal Id
string
proposal_key
Proposal Key
string
pr_url
Pr Url
string
evidence_url
Evidence Url
string
artifact_path
Artifact Path
string
promotion_decision
Promotion Decision
string
affected_dataset_keys
Affected Dataset Keys
Array<string>
resolved_datahub_dataset_urns
Resolved Datahub Dataset Urns
Array<string>
publication
Any of:
CodexGateGitHubPublicationOut
object
mode
Mode
string
transport_actor
Transport Actor
string
repo
Repo
string
proposal_id
Proposal Id
string
proposal_key
Proposal Key
string
branch_name
Branch Name
string
head_sha
Head Sha
string
pr_title
Pr Title
string
pr_body
Pr Body
string
labels
Labels
Array<string>
summary_comment
Summary Comment
string
check_run_names
Check Run Names
Array<string>
pr_url
Pr Url
string
comment_url
Comment Url
string
check_run_ids
Check Run Ids
Array<integer>
committed_paths
Committed Paths
Array<string>
pr_submission_policy
Pr Submission Policy
string
pr_submission_pipeline
Pr Submission Pipeline
string
pr_submission_actor_agent_key
Pr Submission Actor Agent Key
string
affected_dataset_keys
Affected Dataset Keys
Array<string>
resolved_datahub_dataset_urns
Resolved Datahub Dataset Urns
Array<string>
null
total
Total
integer
Example
{ "items": [ { "runner_kind": "", "github_ref": "", "merge_sha": "", "branch_name": "", "proposal_id": "", "proposal_key": "", "pr_url": "", "evidence_url": "", "artifact_path": "", "promotion_decision": "promote", "publication": { "mode": "preview", "transport_actor": "codexgate-app[bot]", "repo": "", "proposal_id": "", "proposal_key": "", "branch_name": "", "head_sha": "", "pr_title": "", "pr_body": "", "summary_comment": "", "pr_url": "", "comment_url": "", "pr_submission_policy": "selective-agent-pr", "pr_submission_pipeline": "github-app-draft-pr", "pr_submission_actor_agent_key": "" } } ], "total": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}